Subject: Re: [PATCH v3 net-next 00/12] mvneta: introduce XDP multi-buffer support

From: Lorenzo Bianconi <[email-masked]>
Date: Wed, 30 Sep 2020 18:39:07 +0200

> On Wed, 30 Sep 2020 17:41:51 +0200 Lorenzo Bianconi wrote:
> > This series introduce XDP multi-buffer support. The mvneta driver is
> > the first to support these new "non-linear" xdp_{buff,frame}. Reviewers
> > please focus on how these new types of xdp_{buff,frame} packets
> > traverse the different layers and the layout design. It is on purpose
> > that BPF-helpers are kept simple, as we don't want to expose the
> > internal layout to allow later changes.
> 
> This does not apply cleanly to net-next 🤔

Hi Jakub,

patch 12/12 ("bpf: cpumap: introduce xdp multi-buff support") is based on commit
efa90b50934c ("cpumap: Remove rcpu pointer from cpu_map_build_skb signature")
already in bpf-next. I though it was important to add patch 12/12 to the
series. Do you have other conflicts?

Regards,
Lorenzo